### Class

# Foundry ProjectTemplate

#### Description [src]

    abstract class Foundry.ProjectTemplate : Foundry.Template
    {
      /* No available fields */
    }

A template for creating a new project.

#### Ancestors

- FoundryTemplate
- GObject

#### Instance methods

##### Methods inherited from FoundryTemplate (5)

###### foundry_template_dup_description

No description available.

###### foundry_template_dup_id

No description available.

###### foundry_template_dup_input

No description available.

###### foundry_template_dup_tags

Gets tags describing the template such as “meson” or “flatpak”.

###### foundry_template_expand

Expands the template based on the input parameters provided to the template.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryTemplate (4)

###### Foundry.Template:description

No description available.

###### Foundry.Template:id

No description available.

###### Foundry.Template:input

No description available.

###### Foundry.Template:tags

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryProjectTemplateClass {
      FoundryTemplateClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryTemplateClass`

  No description available.